<div class="container">

    <div class="row">
 
        <div class="col-lg-4" >


        
                    <div class="card w-100">
                        <div class="card-body border-top">
                                        <h3><i class="fa fa-video-camera" aria-hidden="true"></i> Identificación</h3>

                <hr class="my-4">

                <!-- Button trigger modal -->
                <button type="button" class="btn btn-primary" data-toggle="modal"
                    data-target="#staticBackdrop">
                    Activar
                </button>

            </div></div>
        </div>
    </div>

</div>


<!-- nueva version -->
<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-dark">
                <h5 class="modal-title" id="staticBackdropLabel" style="color:white"><i class="fas fa-video"></i>
                    Indentificacion Facial</h5>
                <button type="button" class="btn btn-danger close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="card text-white bg-dark mb-3">
                    <div class="card-header bg-secondary">Cámara de identificación</div>
                    <video style="position: absolute; top: 0;visibility:hidden;
                     left: 0;opacity: 0;
                     " width="550"
                        height="450" autoplay muted #videoContainer></video>
                    <canvas width="550" height="450" autoplay class="js-canvas" #myCanvas></canvas><br>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" (click)="deteccion() " >Detectar Rostro</button>
                <button type="button" class="btn btn-secondary" (click)="removeVideo()">Cerrar</button>

            </div>
        </div>
    </div>
</div>